
%define _provides_exceptions \\devel(libGLX(64bit))
%define _requires_exceptions  \\devel(libGLX(64bit))

Name:           gstreamer1.0-omx
Version:        1.22.10
Release:        %mkrel 1
Summary:        GStreamer OpenMAX IL wrapper plugin
Group:          System/Libraries
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/modules/gst-omx.html
Source0:        https://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(glesv2)
Requires:	gstreamer1.0-plugins-base


%description
This plugin wraps available OpenMAX IL components and makes
them available as standard GStreamer elements.

%prep
%setup -qn gst-omx-%{version}

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%meson -Dtarget=generic

%meson_build 

%install
%meson_install

# drop plugin docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/gstreamer-1.0/libgstomx.so


%changelog
* Tue Feb 13 2024 tex - 1.22.10-1pclos2024
- new version

* Thu Jan 25 2024 tex - 1.22.9-1pclos2024
- new version

* Sat Jan 13 2024 tex - 1.22.8-2pclos2024
- rebuild against updates

* Mon Dec 18 2023 tex - 1.22.8-1pclos2023
- new version

* Wed Sep 20 2023 tex - 1.22.7-1pclos2023
- new version

* Thu Jul 20 2023 tex - 1.22.5-1pclos2023
- new version

* Wed Jun 21 2023 tex - 1.22.4-1pclos2023
- new version

* Sun May 21 2023 tex - 1.22.3-1pclos2023
- new version

* Wed Apr 12 2023 tex - 1.22.2-1pclos2023
- new version

* Sat Mar 04 2023 tex - 1.22.1-1pclos2023
- new version

* Tue Jan 24 2023 tex - 1.22.0-1pclos2023
- new version

* Tue Dec 20 2022 tex - 1.20.5-1pclos2022
- new version

* Wed Oct 12 2022 tex - 1.20.4-1pclos2022
- new version

* Thu Jun 16 2022 tex - 1.20.3-1pclos2022
- new version

* Tue May 03 2022 tex - 1.20.2-1pclos2022
- new version

* Wed Mar 16 2022 tex - 1.20.1-1pclos2022
- new version

* Thu Feb 10 2022 tex - 1.20.0-1pclos2022
- new version

* Wed Feb 02 2022 tex - 1.18.6-1pclos2022
- new version

* Thu Sep 09 2021 tex - 1.18.5-1pclos2021
- new version

* Mon Mar 15 2021 tex - 1.18.4-1pclos2021
- new version

* Thu Jan 14 2021 tex - 1.18.3-1pclos2021
- new version

* Mon Dec 07 2020 tex - 1.18.2-1pclos2020
- new version

* Tue Oct 27 2020 tex - 1.18.1-1pclos2020
- new version

* Tue Sep 08 2020 tex - 1.18.0-1pclos2020
- new version

* Wed Dec 04 2019 tex - 1.18.0-1pclos2019
- new version

* Tue Sep 24 2019 tex - 1.18.0-1pclos2019
- new version 1.18.0
